#include "../server/service_soap.h"

HTTP_Service* srm_service_creator(HTTP_Connector& c,const char* uri,void* arg);
bool srm_service_configurator(istream& f,const char* uri,HTTP_Service_Properties
&prop);

class srm21__srmLsRequest;
struct srm21__srmLsResponse_;

class HTTP_SRM: public HTTP_ServiceAdv {
 friend int srm21__srmLs(struct soap*,srm21__srmLsRequest *,struct srm21__srmLsResponse_ &);
 private:
  string se_path;
  // HTTP_Connector *c;
  HTTP_Service* se;
  const struct soap* se_sp;
 public:
  HTTP_SRM(HTTP_Connector *c,const char* se);
  virtual ~HTTP_SRM(void);
  virtual HTTP_Error get(const char* uri,int &keep_alive);
  virtual HTTP_Error put(const char* uri,int &keep_alive);
  virtual HTTP_Error post(const char* uri,int &keep_alive);
  virtual void soap_methods(void);
};
